Package org.drinkless.tdlib

# Class TdApi.MessageGiveawayCompleted

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageContent
org.drinkless.tdlib.TdApi.MessageGiveawayCompleted

Enclosing class:
  `TdApi`

public static class TdApi.MessageGiveawayCompleted extends TdApi.MessageContent
A giveaway without public winners has been completed for the chat.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageContent

  `TdApi.MessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `giveawayMessageId`
  Identifier of the message with the giveaway; may be 0 or an identifier of a deleted message.
  `boolean`
  `isStarGiveaway`
  True, if the giveaway is a Telegram Star giveaway.
  `int`
  `unclaimedPrizeCount`
  Number of undistributed prizes; for Telegram Premium giveaways only.
  `int`
  `winnerCount`
  Number of winners in the giveaway.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageGiveawayCompleted()`
  A giveaway without public winners has been completed for the chat.
  `MessageGiveawayCompleted(long giveawayMessageId, int winnerCount, boolean isStarGiveaway, int unclaimedPrizeCount)`
  A giveaway without public winners has been completed for the chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### giveawayMessageId

    public long giveawayMessageId
    Identifier of the message with the giveaway; may be 0 or an identifier of a deleted message.

  - ### winnerCount

    public int winnerCount
    Number of winners in the giveaway.

  - ### isStarGiveaway

    public boolean isStarGiveaway
    True, if the giveaway is a Telegram Star giveaway.

  - ### unclaimedPrizeCount

    public int unclaimedPrizeCount
    Number of undistributed prizes; for Telegram Premium giveaways only.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageGiveawayCompleted

    public MessageGiveawayCompleted()
    A giveaway without public winners has been completed for the chat.

  - ### MessageGiveawayCompleted

    public MessageGiveawayCompleted(long giveawayMessageId, int winnerCount, boolean isStarGiveaway, int unclaimedPrizeCount)
    A giveaway without public winners has been completed for the chat.
    Parameters:
      `giveawayMessageId` - Identifier of the message with the giveaway; may be 0 or an identifier of a deleted message.
      `winnerCount` - Number of winners in the giveaway.
      `isStarGiveaway` - True, if the giveaway is a Telegram Star giveaway.
      `unclaimedPrizeCount` - Number of undistributed prizes; for Telegram Premium giveaways only.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageContent`
    Returns:
      this.CONSTRUCTOR